/* jinxFn2.c v.1.0c Aztec C ovr      */
/* Jinx Program Functions            */
/* Written by Wayne Parham           */ 
/* 09/01/2022                        */


#include "stdio.h"
#include "jinx.h"


void attack() {                                                      /* Attack (kill) */
   ovloader( "jinxKill" );
}


void drink() {                                                       /* Drink */
   ovloader( "jinxDrnk" );
}


void drop() {                                                        /* Drop item */
   ovloader( "jinxDrop" );
}


void dropall() {                                                     /* Drop everything */
   ovloader( "jinxDpAl" );
}


void eat() {                                                         /* Eat */
   ovloader( "jinxEat" );
}


void examine() {                                                     /* Examine item */
   ovloader( "jinxExmn" );
}


void get() {                                                         /* Get item */
   ovloader( "jinxGet" );
}


void getall() {                                                      /* Get everything */
   ovloader( "jinxGtAl" );
}


void help() {                                                        /* Print help screen */
   printf( s, helpString );
}


void inventory() {                                                   /* List of items held */
   ovloader( "jinxInv" );
}


void light() {                                                       /* Light (matches or candle) */
   ovloader( "jinxLite" );
}


void look() {                                                        /* Print description of surroundings */
   printLocation( DETAILED );
   showItemsHere( DETAILED );
   showWhereYouCanGo();
}


void move() {                                                        /* Move an object */
   ovloader( "jinxMove" );
}


void travel() {                                                      /* Travel */
   int d;
   int len;

   d = 0;
   len = strlen( buffer );

   if( buffer[0] == 'u' ) {
      d = Up;
   } else if( buffer[0] == 'd' ) {
      d = Down;
   } else if( buffer[0] == 'w' ) {
      d = West;
   } else if( buffer[0] == 'e' ) {
      d = East;
   } else if( buffer[0] == 'n' ) {
      if( len == 1 ) {
         d = North;
      } else {
         if( buffer[1] == 'w' ) {
            d = Northwest;
         } else {
            d = Northeast;
         }
      }
   } else if( buffer[0] == 's' ) {
      if( len == 1 ) {
         d = South;
      } else {
         if( buffer[1] == 'w' ) {
            d = Southwest;
         } else {
            d = Southeast;
         }
      }
   }

   if( Move[currentLocation][d] == UNAVAILABLE ) {
      if( (currentLocation == H3017Porch) && (d == North) ) {
         if( haveKey() ) {
            printf( s, usingkey );
            unlock3017FrontDoor();
         } else {   
            printf( s, doorlocked );
            return;
         }
      }
      else if( (currentLocation == H3017BackYard) && (d == North) ) {
         if( haveKey() ) {
            visited[134] = FALSE;
            printf( s, usingkey );
            unlck3017Shelter();
         } else {   
            printf( s, doorlocked );
            return;
         }
      }
      else if( (currentLocation == H4735Garage) && (d == Down) ) {
         visited[140] = FALSE;
         printf( s, openhatch );
         open4735Hatch();
      }
      else if( (currentLocation == ForestClearing) && (d == Down) ) {
         visited[142] = FALSE;
         printf( s, opengrate );
         openForestGrate();
      }
      else if( (currentLocation == Below4735Garage) && (d == Up) ) {
         printf( s, closedhatch );
         return;
      }
      else if( (currentLocation == BelowGrate) && (d == Up) ) {
         printf( s, closedgrate );
         return;
      } else {   
         printf( youcannotgo, Direction[d] );
         return;
      }
   }

   currentLocation = Move[currentLocation][d];
   
   ovloader( "jinxArea" );

   if( (currentLocation == H3750Bedroom) && !goneInRoom() ) {
      enterRoom();
   }

   turnsPlayed++;
   if( Indoors( currentLocation ) )
      timeElapsed( 1 );
   else
      timeElapsed( 3 );
}
