/* jinxIni5.c v.1.0b Aztec C std     */
/* Initializer for Jinx              */
/* Written by Wayne Parham           */ 
/* 09/01/2022                        */


#include "stdio.h"
#include "jinx.h"


void initLD2LocDetails() {
/* Additional location details */
   desctelex = ", a factory for the Telex Corporation";
   desctechcenter = ", a large tech center once used for commercial\nresearch";
   descnova4 = " with a Data General Nova 4C system";
   desceclipse = " with a Data General Eclipse C/350 system";
   descmv8000 = " with a Data General MV/8000 system";
   descarrowoil = " of Arrow Oil Tools. There's lots of tubular steel here";
   descshop = ". There are CNC lathes and metal shavings on the ground";
   descfarm = " with two large silos";
   descfizzy = ". You see a long assembly line with\nthousands of bottles";
   descforst = ". It is dense with tall trees everywhere";
   desctilt = ". There are picnic tables and other rides\nnearby";
   desccoaster = ". A section of track is missing on the main\ndownslope";
   desclargerock = ". There's a large rock with symbols on it";
   scattereddebris = " with some scattered debris on the ground";
   tallbuilding = "It is very tall.\n";
}


/* Messages */
void initMessages() {
   introText = "You just  heard a strange sound and rushed outside to find someone running away.\nOr  at least you think you saw";
   strcat( introText, " the shadow of someone.  It's hard to say  because\nthe street is dark.  All the houses are boarded up and no" );
   strcat( introText, " lights are on except a\nstreet lamp to the south that's dimly flickering.\n\n" );

   helpString = "\n\n\n\nYou  are  in a city that has been crippled by a recent event that  darkened";
   strcat( helpString, "  the\nsky, assumed to be the result of a meteor strike.  But just like in" );
   strcat( helpString, " Tunguska, no\nspecific  impact has been identified.  Most everyone in the city has" );
   strcat( helpString, "  evacuated,\ntaking their most valuable possessions.  You have stayed behind.\n\nYour" );
   strcat( helpString, " task is to survive, and in order to do that, you gather resources where you\nfind them." );
   strcat( helpString, "  There are a few natural (and possibly supernatural) hazards that may\nimpede  you.  Your" );
   strcat( helpString, " goal is to find as many resources as you can,  and  to  store\nthem in your house or any" );
   strcat( helpString, " other safe house that you have access.\n\nYou  may move in any of the following directions" );
   strcat( helpString, " with the \"go\"  command:  north,\nnortheast,  east, southeast, south, southwest, west," );
   strcat( helpString, " northwest, up or down.  You\ncan  also  abbreviate  the movement command and  omit the  word" );
   strcat( helpString, "  \"go\"  which  is\nimplied, e.g. \"nw\" to go northwest.\n\nYou  can perform tasks such as" );
   strcat( helpString, " get, put, move, open, type, say,  read,  examine,\ninventory,  score  and quit.  There are" );
   strcat( helpString, " other commands you can use too,  so  try\nthings to see what works.  If a command can't be" );
   strcat( helpString, " done, you'll be told.\n" );

   prayer = "You can't understand the words, but you sound them out:\n\n\"Tam amavantam yajatam shuram dhamasu shavistam mitram yajai hotrabhyah\"\n";
}

/*    The prayer says, in Sanscrit (or Avestan, Yasna 10:6), "The powerful God, the most powerful    */
/*    Mithra in the world of the creatures, I will adore him with libations."                        */
