/* jinxIni9.c v.1.0c Aztec C std     */
/* Initializer for Jinx              */
/* Written by Wayne Parham           */ 
/* 09/01/2022                        */


#include "stdio.h"
#include "jinx.h"


/* Map: Given a location and a direction to move, returns the location it connects                                       */
/*      or 0 if not a valid move.  Map can change during game play.                                                      */
/*                                                                                                                       */

void initMap2() {
   /*                     FontanaShoppingMall            */
   Move[70][0]  =   20;      /*    North                 */
   Move[70][1]  =   21;      /*    Northeast             */
   Move[70][2]  =    0;      /*    East                  */
   Move[70][3]  =   71;      /*    Southeast             */
   Move[70][4]  =    0;      /*    South                 */
   Move[70][5]  =    0;      /*    Southwest             */
   Move[70][6]  =   61;      /*    West                  */
   Move[70][7]  =   19;      /*    Northwest             */
   Move[70][8]  =    0;      /*    Up                    */
   Move[70][9]  =    0;      /*    Down                  */
   /*                     Nbhood4                        */
   Move[71][0]  =   72;      /*    North                 */
   Move[71][1]  =   57;      /*    Northeast             */
   Move[71][2]  =    0;      /*    East                  */
   Move[71][3]  =   58;      /*    Southeast             */
   Move[71][4]  =   81;      /*    South                 */
   Move[71][5]  =   80;      /*    Southwest             */
   Move[71][6]  =    0;      /*    West                  */
   Move[71][7]  =   70;      /*    Northwest             */
   Move[71][8]  =    0;      /*    Up                    */
   Move[71][9]  =    0;      /*    Down                  */
   /*                     H4735Front                     */
   Move[72][0]  =   21;      /*    North                 */
   Move[72][1]  =    0;      /*    Northeast             */
   Move[72][2]  =   73;      /*    East                  */
   Move[72][3]  =    0;      /*    Southeast             */
   Move[72][4]  =   71;      /*    South                 */
   Move[72][5]  =    0;      /*    Southwest             */
   Move[72][6]  =    0;      /*    West                  */
   Move[72][7]  =    0;      /*    Northwest             */
   Move[72][8]  =    0;      /*    Up                    */
   Move[72][9]  =    0;      /*    Down                  */
   /*                     H4735EntryHall                 */
   Move[73][0]  =    0;      /*    North                 */
   Move[73][1]  =   77;      /*    Northeast             */
   Move[73][2]  =   74;      /*    East                  */
   Move[73][3]  =   75;      /*    Southeast             */
   Move[73][4]  =    0;      /*    South                 */
   Move[73][5]  =    0;      /*    Southwest             */
   Move[73][6]  =   72;      /*    West                  */
   Move[73][7]  =    0;      /*    Northwest             */
   Move[73][8]  =    0;      /*    Up                    */
   Move[73][9]  =    0;      /*    Down                  */
   /*                     H4735LivingRoom                */
   Move[74][0]  =   77;      /*    North                 */
   Move[74][1]  =    0;      /*    Northeast             */
   Move[74][2]  =    0;      /*    East                  */
   Move[74][3]  =    0;      /*    Southeast             */
   Move[74][4]  =   75;      /*    South                 */
   Move[74][5]  =    0;      /*    Southwest             */
   Move[74][6]  =   73;      /*    West                  */
   Move[74][7]  =    0;      /*    Northwest             */
   Move[74][8]  =    0;      /*    Up                    */
   Move[74][9]  =    0;      /*    Down                  */
   /*                     H4735Hall                      */
   Move[75][0]  =   74;      /*    North                 */
   Move[75][1]  =    0;      /*    Northeast             */
   Move[75][2]  =    0;      /*    East                  */
   Move[75][3]  =    0;      /*    Southeast             */
   Move[75][4]  =   76;      /*    South                 */
   Move[75][5]  =    0;      /*    Southwest             */
   Move[75][6]  =    0;      /*    West                  */
   Move[75][7]  =   73;      /*    Northwest             */
   Move[75][8]  =    0;      /*    Up                    */
   Move[75][9]  =    0;      /*    Down                  */
   /*                     H4735Bedroom                   */
   Move[76][0]  =   75;      /*    North                 */
   Move[76][1]  =    0;      /*    Northeast             */
   Move[76][2]  =    0;      /*    East                  */
   Move[76][3]  =    0;      /*    Southeast             */
   Move[76][4]  =    0;      /*    South                 */
   Move[76][5]  =    0;      /*    Southwest             */
   Move[76][6]  =    0;      /*    West                  */
   Move[76][7]  =    0;      /*    Northwest             */
   Move[76][8]  =    0;      /*    Up                    */
   Move[76][9]  =    0;      /*    Down                  */
   /*                     H4735Kitchen                   */
   Move[77][0]  =    0;      /*    North                 */
   Move[77][1]  =    0;      /*    Northeast             */
   Move[77][2]  =    0;      /*    East                  */
   Move[77][3]  =    0;      /*    Southeast             */
   Move[77][4]  =   74;      /*    South                 */
   Move[77][5]  =   73;      /*    Southwest             */
   Move[77][6]  =   78;      /*    West                  */
   Move[77][7]  =    0;      /*    Northwest             */
   Move[77][8]  =    0;      /*    Up                    */
   Move[77][9]  =    0;      /*    Down                  */
   /*                     H4735Garage                    */
   Move[78][0]  =    0;      /*    North                 */
   Move[78][1]  =    0;      /*    Northeast             */
   Move[78][2]  =   77;      /*    East                  */
   Move[78][3]  =    0;      /*    Southeast             */
   Move[78][4]  =    0;      /*    South                 */
   Move[78][5]  =    0;      /*    Southwest             */
   Move[78][6]  =    0;      /*    West                  */
   Move[78][7]  =    0;      /*    Northwest             */
   Move[78][8]  =    0;      /*    Up                    */
   Move[78][9]  =  140;      /*    Down                  */
   /*                     Hilly1                        */
   Move[79][0]  =   63;      /*    North                 */
   Move[79][1]  =    0;      /*    Northeast             */
   Move[79][2]  =   80;      /*    East                  */
   Move[79][3]  =    0;      /*    Southeast             */
   Move[79][4]  =   83;      /*    South                 */
   Move[79][5]  =    0;      /*    Southwest             */
   Move[79][6]  =    0;      /*    West                  */
   Move[79][7]  =   26;      /*    Northwest             */
   Move[79][8]  =    0;      /*    Up                    */
   Move[79][9]  =    0;      /*    Down                  */
   /*                     Hilly2                         */
   Move[80][0]  =    0;      /*    North                 */
   Move[80][1]  =   71;      /*    Northeast             */
   Move[80][2]  =    0;      /*    East                  */
   Move[80][3]  =   59;      /*    Southeast             */
   Move[80][4]  =   81;      /*    South                 */
   Move[80][5]  =   83;      /*    Southwest             */
   Move[80][6]  =   79;      /*    West                  */
   Move[80][7]  =   61;      /*    Northwest             */
   Move[80][8]  =    0;      /*    Up                    */
   Move[80][9]  =    0;      /*    Down                  */
   /*                     Hilly3                         */
   Move[81][0]  =   80;      /*    North                 */
   Move[81][1]  =   71;      /*    Northeast             */
   Move[81][2]  =   59;      /*    East                  */
   Move[81][3]  =    0;      /*    Southeast             */
   Move[81][4]  =   82;      /*    South                 */
   Move[81][5]  =   84;      /*    Southwest             */
   Move[81][6]  =   85;      /*    West                  */
   Move[81][7]  =    0;      /*    Northwest             */
   Move[81][8]  =    0;      /*    Up                    */
   Move[81][9]  =    0;      /*    Down                  */
   /*                     Hilly4                         */
   Move[82][0]  =   81;      /*    North                 */
   Move[82][1]  =   59;      /*    Northeast             */
   Move[82][2]  =    0;      /*    East                  */
   Move[82][3]  =    0;      /*    Southeast             */
   Move[82][4]  =    0;      /*    South                 */
   Move[82][5]  =    0;      /*    Southwest             */
   Move[82][6]  =   96;      /*    West                  */
   Move[82][7]  =    0;      /*    Northwest             */
   Move[82][8]  =    0;      /*    Up                    */
   Move[82][9]  =    0;      /*    Down                  */
   /*                     Nbhood5                        */
   Move[83][0]  =   79;      /*    North                 */
   Move[83][1]  =   80;      /*    Northeast             */
   Move[83][2]  =    0;      /*    East                  */
   Move[83][3]  =    0;      /*    Southeast             */
   Move[83][4]  =   85;      /*    South                 */
   Move[83][5]  =    0;      /*    Southwest             */
   Move[83][6]  =    0;      /*    West                  */
   Move[83][7]  =    0;      /*    Northwest             */
   Move[83][8]  =    0;      /*    Up                    */
   Move[83][9]  =    0;      /*    Down                  */
   /*                     OldSchl2                       */
   Move[84][0]  =   85;      /*    North                 */
   Move[84][1]  =   81;      /*    Northeast             */
   Move[84][2]  =    0;      /*    East                  */
   Move[84][3]  =    0;      /*    Southeast             */
   Move[84][4]  =    0;      /*    South                 */
   Move[84][5]  =    0;      /*    Southwest             */
   Move[84][6]  =    0;      /*    West                  */
   Move[84][7]  =    0;      /*    Northwest             */
   Move[84][8]  =    0;      /*    Up                    */
   Move[84][9]  =    0;      /*    Down                  */
   /*                     H3750Front                     */
   Move[85][0]  =    0;      /*    North                 */
   Move[85][1]  =    0;      /*    Northeast             */
   Move[85][2]  =   81;      /*    East                  */
   Move[85][3]  =    0;      /*    Southeast             */
   Move[85][4]  =   86;      /*    South                 */
   Move[85][5]  =   84;      /*    Southwest             */
   Move[85][6]  =   83;      /*    West                  */
   Move[85][7]  =    0;      /*    Northwest             */
   Move[85][8]  =    0;      /*    Up                    */
   Move[85][9]  =    0;      /*    Down                  */
   /*                     H3750EntryHall                 */
   Move[86][0]  =   85;      /*    North                 */
   Move[86][1]  =    0;      /*    Northeast             */
   Move[86][2]  =   87;      /*    East                  */
   Move[86][3]  =    0;      /*    Southeast             */
   Move[86][4]  =   88;      /*    South                 */
   Move[86][5]  =   90;      /*    Southwest             */
   Move[86][6]  =   89;      /*    West                  */
   Move[86][7]  =    0;      /*    Northwest             */
   Move[86][8]  =    0;      /*    Up                    */
   Move[86][9]  =    0;      /*    Down                  */
   /*                     H3750LivingRoom                */
   Move[87][0]  =    0;      /*    North                 */
   Move[87][1]  =    0;      /*    Northeast             */
   Move[87][2]  =    0;      /*    East                  */
   Move[87][3]  =    0;      /*    Southeast             */
   Move[87][4]  =    0;      /*    South                 */
   Move[87][5]  =    0;      /*    Southwest             */
   Move[87][6]  =   86;      /*    West                  */
   Move[87][7]  =    0;      /*    Northwest             */
   Move[87][8]  =    0;      /*    Up                    */
   Move[87][9]  =    0;      /*    Down                  */
   /*                     H3750Hall                      */
   Move[88][0]  =   86;      /*    North                 */
   Move[88][1]  =    0;      /*    Northeast             */
   Move[88][2]  =   91;      /*    East                  */
   Move[88][3]  =    0;      /*    Southeast             */
   Move[88][4]  =   92;      /*    South                 */
   Move[88][5]  =    0;      /*    Southwest             */
   Move[88][6]  =   90;      /*    West                  */
   Move[88][7]  =    0;      /*    Northwest             */
   Move[88][8]  =    0;      /*    Up                    */
   Move[88][9]  =    0;      /*    Down                  */
   /*                     H3750ChildsRoom                */
   Move[89][0]  =    0;      /*    North                 */
   Move[89][1]  =    0;      /*    Northeast             */
   Move[89][2]  =   86;      /*    East                  */
   Move[89][3]  =    0;      /*    Southeast             */
   Move[89][4]  =    0;      /*    South                 */
   Move[89][5]  =    0;      /*    Southwest             */
   Move[89][6]  =    0;      /*    West                  */
   Move[89][7]  =    0;      /*    Northwest             */
   Move[89][8]  =    0;      /*    Up                    */
   Move[89][9]  =    0;      /*    Down                  */
   /*                     H3750Kitchen                   */
   Move[90][0]  =    0;      /*    North                 */
   Move[90][1]  =   86;      /*    Northeast             */
   Move[90][2]  =   88;      /*    East                  */
   Move[90][3]  =    0;      /*    Southeast             */
   Move[90][4]  =    0;      /*    South                 */
   Move[90][5]  =    0;      /*    Southwest             */
   Move[90][6]  =    0;      /*    West                  */
   Move[90][7]  =    0;      /*    Northwest             */
   Move[90][8]  =    0;      /*    Up                    */
   Move[90][9]  =    0;      /*    Down                  */
   /*                     H3750Bedroom                   */
   Move[91][0]  =    0;      /*    North                 */
   Move[91][1]  =    0;      /*    Northeast             */
   Move[91][2]  =    0;      /*    East                  */
   Move[91][3]  =    0;      /*    Southeast             */
   Move[91][4]  =    0;      /*    South                 */
   Move[91][5]  =    0;      /*    Southwest             */
   Move[91][6]  =   88;      /*    West                  */
   Move[91][7]  =    0;      /*    Northwest             */
   Move[91][8]  =    0;      /*    Up                    */
   Move[91][9]  =    0;      /*    Down                  */
   /*                     H3750Stairs                    */
   Move[92][0]  =   88;      /*    North                 */
   Move[92][1]  =    0;      /*    Northeast             */
   Move[92][2]  =    0;      /*    East                  */
   Move[92][3]  =    0;      /*    Southeast             */
   Move[92][4]  =    0;      /*    South                 */
   Move[92][5]  =    0;      /*    Southwest             */
   Move[92][6]  =    0;      /*    West                  */
   Move[92][7]  =    0;      /*    Northwest             */
   Move[92][8]  =    0;      /*    Up                    */
   Move[92][9]  =   93;      /*    Down                  */
   /*                     H3750Garage                    */
   Move[93][0]  =    0;      /*    North                 */
   Move[93][1]  =    0;      /*    Northeast             */
   Move[93][2]  =    0;      /*    East                  */
   Move[93][3]  =    0;      /*    Southeast             */
   Move[93][4]  =    0;      /*    South                 */
   Move[93][5]  =    0;      /*    Southwest             */
   Move[93][6]  =    0;      /*    West                  */
   Move[93][7]  =    0;      /*    Northwest             */
   Move[93][8]  =   92;      /*    Up                    */
   Move[93][9]  =    0;      /*    Down                  */
   /*                     Bridge1                        */
   Move[94][0]  =    0;      /*    North                 */
   Move[94][1]  =    0;      /*    Northeast             */
   Move[94][2]  =   39;      /*    East                  */
   Move[94][3]  =    0;      /*    Southeast             */
   Move[94][4]  =    0;      /*    South                 */
   Move[94][5]  =    0;      /*    Southwest             */
   Move[94][6]  =   99;      /*    West                  */
   Move[94][7]  =    0;      /*    Northwest             */
   Move[94][8]  =    0;      /*    Up                    */
   Move[94][9]  =    0;      /*    Down                  */
   /*                     Bridge2                        */
   Move[95][0]  =    0;      /*    North                 */
   Move[95][1]  =   26;      /*    Northeast             */
   Move[95][2]  =    0;      /*    East                  */
   Move[95][3]  =    0;      /*    Southeast             */
   Move[95][4]  =    0;      /*    South                 */
   Move[95][5]  =  111;      /*    Southwest             */
   Move[95][6]  =    0;      /*    West                  */
   Move[95][7]  =    0;      /*    Northwest             */
   Move[95][8]  =    0;      /*    Up                    */
   Move[95][9]  =    0;      /*    Down                  */
   /*                     Bridge3                        */
   Move[96][0]  =    0;      /*    North                 */
   Move[96][1]  =   82;      /*    Northeast             */
   Move[96][2]  =    0;      /*    East                  */
   Move[96][3]  =    0;      /*    Southeast             */
   Move[96][4]  =    0;      /*    South                 */
   Move[96][5]  =  129;      /*    Southwest             */
   Move[96][6]  =    0;      /*    West                  */
   Move[96][7]  =    0;      /*    Northwest             */
   Move[96][8]  =    0;      /*    Up                    */
   Move[96][9]  =    0;      /*    Down                  */
   /*                     Forest1                        */
   Move[97][0]  =    0;      /*    North                 */
   Move[97][1]  =    0;      /*    Northeast             */
   Move[97][2]  =    0;      /*    East                  */
   Move[97][3]  =    0;      /*    Southeast             */
   Move[97][4]  =   98;      /*    South                 */
   Move[97][5]  =    0;      /*    Southwest             */
   Move[97][6]  =    0;      /*    West                  */
   Move[97][7]  =    0;      /*    Northwest             */
   Move[97][8]  =    0;      /*    Up                    */
   Move[97][9]  =    0;      /*    Down                  */
   /*                     Forest2                        */
   Move[98][0]  =   97;      /*    North                 */
   Move[98][1]  =    0;      /*    Northeast             */
   Move[98][2]  =    0;      /*    East                  */
   Move[98][3]  =    0;      /*    Southeast             */
   Move[98][4]  =   99;      /*    South                 */
   Move[98][5]  =    0;      /*    Southwest             */
   Move[98][6]  =    0;      /*    West                  */
   Move[98][7]  =    0;      /*    Northwest             */
   Move[98][8]  =    0;      /*    Up                    */
   Move[98][9]  =    0;      /*    Down                  */
   /*                     Forest3                        */
   Move[99][0]  =   98;      /*    North                 */
   Move[99][1]  =    0;      /*    Northeast             */
   Move[99][2]  =   94;      /*    East                  */
   Move[99][3]  =    0;      /*    Southeast             */
   Move[99][4]  =  100;      /*    South                 */
   Move[99][5]  =    0;      /*    Southwest             */
   Move[99][6]  =    0;      /*    West                  */
   Move[99][7]  =    0;      /*    Northwest             */
   Move[99][8]  =    0;      /*    Up                    */
   Move[99][9]  =    0;      /*    Down                  */
   /*                     Forest4                        */
   Move[100][0] =   99;      /*    North                 */
   Move[100][1] =    0;      /*    Northeast             */
   Move[100][2] =    0;      /*    East                  */
   Move[100][3] =    0;      /*    Southeast             */
   Move[100][4] =  105;      /*    South                 */
   Move[100][5] =    0;      /*    Southwest             */
   Move[100][6] =    0;      /*    West                  */
   Move[100][7] =    0;      /*    Northwest             */
   Move[100][8] =    0;      /*    Up                    */
   Move[100][9] =    0;      /*    Down                  */
   /*                     ArrowBack                      */
   Move[101][0] =  102;      /*    North                 */
   Move[101][1] =    0;      /*    Northeast             */
   Move[101][2] =    0;      /*    East                  */
   Move[101][3] =    0;      /*    Southeast             */
   Move[101][4] =  108;      /*    South                 */
   Move[101][5] =    0;      /*    Southwest             */
   Move[101][6] =    0;      /*    West                  */
   Move[101][7] =    0;      /*    Northwest             */
   Move[101][8] =    0;      /*    Up                    */
   Move[101][9] =    0;      /*    Down                  */
   /*                     ArrowShop                      */
   Move[102][0] =  103;      /*    North                 */
   Move[102][1] =    0;      /*    Northeast             */
   Move[102][2] =    0;      /*    East                  */
   Move[102][3] =    0;      /*    Southeast             */
   Move[102][4] =  101;      /*    South                 */
   Move[102][5] =    0;      /*    Southwest             */
   Move[102][6] =    0;      /*    West                  */
   Move[102][7] =    0;      /*    Northwest             */
   Move[102][8] =    0;      /*    Up                    */
   Move[102][9] =    0;      /*    Down                  */
   /*                     ArrowOffice                    */
   Move[103][0] =  105;      /*    North                 */
   Move[103][1] =    0;      /*    Northeast             */
   Move[103][2] =  106;      /*    East                  */
   Move[103][3] =    0;      /*    Southeast             */
   Move[103][4] =  102;      /*    South                 */
   Move[103][5] =    0;      /*    Southwest             */
   Move[103][6] =  104;      /*    West                  */
   Move[103][7] =    0;      /*    Northwest             */
   Move[103][8] =    0;      /*    Up                    */
   Move[103][9] =    0;      /*    Down                  */
   /*                     ArrowComputerRoom              */
   Move[104][0] =    0;      /*    North                 */
   Move[104][1] =    0;      /*    Northeast             */
   Move[104][2] =  103;      /*    East                  */
   Move[104][3] =    0;      /*    Southeast             */
   Move[104][4] =    0;      /*    South                 */
   Move[104][5] =    0;      /*    Southwest             */
   Move[104][6] =    0;      /*    West                  */
   Move[104][7] =    0;      /*    Northwest             */
   Move[104][8] =    0;      /*    Up                    */
   Move[104][9] =    0;      /*    Down                  */
   /*                     ArrowFront                     */
   Move[105][0] =  100;      /*    North                 */
   Move[105][1] =    0;      /*    Northeast             */
   Move[105][2] =    0;      /*    East                  */
   Move[105][3] =    0;      /*    Southeast             */
   Move[105][4] =  103;      /*    South                 */
   Move[105][5] =    0;      /*    Southwest             */
   Move[105][6] =    0;      /*    West                  */
   Move[105][7] =    0;      /*    Northwest             */
   Move[105][8] =    0;      /*    Up                    */
   Move[105][9] =    0;      /*    Down                  */
   /*                     ArrowWalkway                   */
   Move[106][0] =    0;      /*    North                 */
   Move[106][1] =    0;      /*    Northeast             */
   Move[106][2] =  107;      /*    East                  */
   Move[106][3] =    0;      /*    Southeast             */
   Move[106][4] =    0;      /*    South                 */
   Move[106][5] =    0;      /*    Southwest             */
   Move[106][6] =  103;      /*    West                  */
   Move[106][7] =    0;      /*    Northwest             */
   Move[106][8] =    0;      /*    Up                    */
   Move[106][9] =    0;      /*    Down                  */
   /*                     FizzyPop                       */
   Move[107][0] =    0;      /*    North                 */
   Move[107][1] =    0;      /*    Northeast             */
   Move[107][2] =    0;      /*    East                  */
   Move[107][3] =    0;      /*    Southeast             */
   Move[107][4] =    0;      /*    South                 */
   Move[107][5] =    0;      /*    Southwest             */
   Move[107][6] =  106;      /*    West                  */
   Move[107][7] =    0;      /*    Northwest             */
   Move[107][8] =    0;      /*    Up                    */
   Move[107][9] =    0;      /*    Down                  */
   /*                     Mountn1                        */
   Move[108][0] =  101;      /*    North                 */
   Move[108][1] =    0;      /*    Northeast             */
   Move[108][2] =    0;      /*    East                  */
   Move[108][3] =  110;      /*    Southeast             */
   Move[108][4] =  109;      /*    South                 */
   Move[108][5] =    0;      /*    Southwest             */
   Move[108][6] =    0;      /*    West                  */
   Move[108][7] =    0;      /*    Northwest             */
   Move[108][8] =    0;      /*    Up                    */
   Move[108][9] =    0;      /*    Down                  */
   /*                     CaveEntrance                   */
   Move[109][0] =    0;      /*    North                 */
   Move[109][1] =    0;      /*    Northeast             */
   Move[109][2] =    0;      /*    East                  */
   Move[109][3] =  113;      /*    Southeast             */
   Move[109][4] =    0;      /*    South                 */
   Move[109][5] =    0;      /*    Southwest             */
   Move[109][6] =    0;      /*    West                  */
   Move[109][7] =  108;      /*    Northwest             */
   Move[109][8] =    0;      /*    Up                    */
   Move[109][9] =  136;      /*    Down                  */
   /*                     Mountn2                        */
   Move[110][0] =    0;      /*    North                 */
   Move[110][1] =    0;      /*    Northeast             */
   Move[110][2] =    0;      /*    East                  */
   Move[110][3] =  111;      /*    Southeast             */
   Move[110][4] =    0;      /*    South                 */
   Move[110][5] =    0;      /*    Southwest             */
   Move[110][6] =    0;      /*    West                  */
   Move[110][7] =  108;      /*    Northwest             */
   Move[110][8] =    0;      /*    Up                    */
   Move[110][9] =    0;      /*    Down                  */
   /*                     NorthSlope                     */
   Move[111][0] =    0;      /*    North                 */
   Move[111][1] =   95;      /*    Northeast             */
   Move[111][2] =    0;      /*    East                  */
   Move[111][3] =  127;      /*    Southeast             */
   Move[111][4] =  114;      /*    South                 */
   Move[111][5] =    0;      /*    Southwest             */
   Move[111][6] =    0;      /*    West                  */
   Move[111][7] =  110;      /*    Northwest             */
   Move[111][8] =    0;      /*    Up                    */
   Move[111][9] =    0;      /*    Down                  */
   /*                     Mountn3                        */
   Move[112][0] =    0;      /*    North                 */
   Move[112][1] =    0;      /*    Northeast             */
   Move[112][2] =  113;      /*    East                  */
   Move[112][3] =    0;      /*    Southeast             */
   Move[112][4] =  115;      /*    South                 */
   Move[112][5] =    0;      /*    Southwest             */
   Move[112][6] =    0;      /*    West                  */
   Move[112][7] =    0;      /*    Northwest             */
   Move[112][8] =    0;      /*    Up                    */
   Move[112][9] =    0;      /*    Down                  */
   /*                     Mountn4                        */
   Move[113][0] =    0;      /*    North                 */
   Move[113][1] =    0;      /*    Northeast             */
   Move[113][2] =  114;      /*    East                  */
   Move[113][3] =    0;      /*    Southeast             */
   Move[113][4] =  116;      /*    South                 */
   Move[113][5] =    0;      /*    Southwest             */
   Move[113][6] =  112;      /*    West                  */
   Move[113][7] =  109;      /*    Northwest             */
   Move[113][8] =    0;      /*    Up                    */
   Move[113][9] =    0;      /*    Down                  */
   /*                     Church                         */
   Move[114][0] =  111;      /*    North                 */
   Move[114][1] =    0;      /*    Northeast             */
   Move[114][2] =  127;      /*    East                  */
   Move[114][3] =    0;      /*    Southeast             */
   Move[114][4] =  117;      /*    South                 */
   Move[114][5] =    0;      /*    Southwest             */
   Move[114][6] =  113;      /*    West                  */
   Move[114][7] =    0;      /*    Northwest             */
   Move[114][8] =    0;      /*    Up                    */
   Move[114][9] =    0;      /*    Down                  */
   /*                     SouthSlope                     */
   Move[115][0] =  112;      /*    North                 */
   Move[115][1] =    0;      /*    Northeast             */
   Move[115][2] =    0;      /*    East                  */
   Move[115][3] =    0;      /*    Southeast             */
   Move[115][4] =  118;      /*    South                 */
   Move[115][5] =    0;      /*    Southwest             */
   Move[115][6] =    0;      /*    West                  */
   Move[115][7] =    0;      /*    Northwest             */
   Move[115][8] =    0;      /*    Up                    */
   Move[115][9] =    0;      /*    Down                  */
   /*                     CliffOverlook                  */
   Move[116][0] =  113;      /*    North                 */
   Move[116][1] =    0;      /*    Northeast             */
   Move[116][2] =  117;      /*    East                  */
   Move[116][3] =    0;      /*    Southeast             */
   Move[116][4] =    0;      /*    South                 */
   Move[116][5] =    0;      /*    Southwest             */
   Move[116][6] =    0;      /*    West                  */
   Move[116][7] =    0;      /*    Northwest             */
   Move[116][8] =    0;      /*    Up                    */
   Move[116][9] =    0;      /*    Down                  */
   /*                     EastSlope                      */
   Move[117][0] =  114;      /*    North                 */
   Move[117][1] =    0;      /*    Northeast             */
   Move[117][2] =    0;      /*    East                  */
   Move[117][3] =    0;      /*    Southeast             */
   Move[117][4] =  121;      /*    South                 */
   Move[117][5] =    0;      /*    Southwest             */
   Move[117][6] =  116;      /*    West                  */
   Move[117][7] =    0;      /*    Northwest             */
   Move[117][8] =    0;      /*    Up                    */
   Move[117][9] =    0;      /*    Down                  */
   /*                     JinxShops                      */
   Move[118][0] =  115;      /*    North                 */
   Move[118][1] =    0;      /*    Northeast             */
   Move[118][2] =    0;      /*    East                  */
   Move[118][3] =  122;      /*    Southeast             */
   Move[118][4] =  119;      /*    South                 */
   Move[118][5] =    0;      /*    Southwest             */
   Move[118][6] =    0;      /*    West                  */
   Move[118][7] =    0;      /*    Northwest             */
   Move[118][8] =    0;      /*    Up                    */
   Move[118][9] =    0;      /*    Down                  */
   /*                     JinxCentre                     */
   Move[119][0] =  118;      /*    North                 */
   Move[119][1] =    0;      /*    Northeast             */
   Move[119][2] =  122;      /*    East                  */
   Move[119][3] =  124;      /*    Southeast             */
   Move[119][4] =    0;      /*    South                 */
   Move[119][5] =    0;      /*    Southwest             */
   Move[119][6] =    0;      /*    West                  */
   Move[119][7] =    0;      /*    Northwest             */
   Move[119][8] =    0;      /*    Up                    */
   Move[119][9] =    0;      /*    Down                  */
   /*                     Forest5                        */
   Move[120][0] =    0;      /*    North                 */
   Move[120][1] =    0;      /*    Northeast             */
   Move[120][2] =  121;      /*    East                  */
   Move[120][3] =    0;      /*    Southeast             */
   Move[120][4] =  122;      /*    South                 */
   Move[120][5] =    0;      /*    Southwest             */
   Move[120][6] =    0;      /*    West                  */
   Move[120][7] =    0;      /*    Northwest             */
   Move[120][8] =    0;      /*    Up                    */
   Move[120][9] =    0;      /*    Down                  */
   /*                     ForestClearing                 */
   Move[121][0] =  117;      /*    North                 */
   Move[121][1] =  127;      /*    Northeast             */
   Move[121][2] =  128;      /*    East                  */
   Move[121][3] =    0;      /*    Southeast             */
   Move[121][4] =  123;      /*    South                 */
   Move[121][5] =    0;      /*    Southwest             */
   Move[121][6] =  120;      /*    West                  */
   Move[121][7] =    0;      /*    Northwest             */
   Move[121][8] =    0;      /*    Up                    */
   Move[121][9] =  142;      /*    Down                  */
   /*                     OpnFld2                        */
   Move[122][0] =  120;      /*    North                 */
   Move[122][1] =    0;      /*    Northeast             */
   Move[122][2] =  123;      /*    East                  */
   Move[122][3] =    0;      /*    Southeast             */
   Move[122][4] =  124;      /*    South                 */
   Move[122][5] =    0;      /*    Southwest             */
   Move[122][6] =  119;      /*    West                  */
   Move[122][7] =  118;      /*    Northwest             */
   Move[122][8] =    0;      /*    Up                    */
   Move[122][9] =    0;      /*    Down                  */
   /*                     OpnFld3                        */
   Move[123][0] =  121;      /*    North                 */
   Move[123][1] =  128;      /*    Northeast             */
   Move[123][2] =  129;      /*    East                  */
   Move[123][3] =  126;      /*    Southeast             */
   Move[123][4] =  125;      /*    South                 */
   Move[123][5] =    0;      /*    Southwest             */
   Move[123][6] =  122;      /*    West                  */
   Move[123][7] =    0;      /*    Northwest             */
   Move[123][8] =    0;      /*    Up                    */
   Move[123][9] =    0;      /*    Down                  */
   /*                     SoHills1                       */
   Move[124][0] =  122;      /*    North                 */
   Move[124][1] =    0;      /*    Northeast             */
   Move[124][2] =  125;      /*    East                  */
   Move[124][3] =    0;      /*    Southeast             */
   Move[124][4] =    0;      /*    South                 */
   Move[124][5] =    0;      /*    Southwest             */
   Move[124][6] =    0;      /*    West                  */
   Move[124][7] =  119;      /*    Northwest             */
   Move[124][8] =    0;      /*    Up                    */
   Move[124][9] =    0;      /*    Down                  */
   /*                     SoHills2                       */
   Move[125][0] =  123;      /*    North                 */
   Move[125][1] =    0;      /*    Northeast             */
   Move[125][2] =  126;      /*    East                  */
   Move[125][3] =    0;      /*    Southeast             */
   Move[125][4] =    0;      /*    South                 */
   Move[125][5] =    0;      /*    Southwest             */
   Move[125][6] =  124;      /*    West                  */
   Move[125][7] =    0;      /*    Northwest             */
   Move[125][8] =    0;      /*    Up                    */
   Move[125][9] =    0;      /*    Down                  */
   /*                     EastEdgeOfHills                */
   Move[126][0] =    0;      /*    North                 */
   Move[126][1] =  129;      /*    Northeast             */
   Move[126][2] =    0;      /*    East                  */
   Move[126][3] =    0;      /*    Southeast             */
   Move[126][4] =    0;      /*    South                 */
   Move[126][5] =    0;      /*    Southwest             */
   Move[126][6] =  125;      /*    West                  */
   Move[126][7] =  123;      /*    Northwest             */
   Move[126][8] =    0;      /*    Up                    */
   Move[126][9] =    0;      /*    Down                  */
   /*                     RvrBank1                       */
   Move[127][0] =    0;      /*    North                 */
   Move[127][1] =    0;      /*    Northeast             */
   Move[127][2] =    0;      /*    East                  */
   Move[127][3] =  128;      /*    Southeast             */
   Move[127][4] =    0;      /*    South                 */
   Move[127][5] =  121;      /*    Southwest             */
   Move[127][6] =  114;      /*    West                  */
   Move[127][7] =  111;      /*    Northwest             */
   Move[127][8] =    0;      /*    Up                    */
   Move[127][9] =    0;      /*    Down                  */
   /*                     RvrBank2                       */
   Move[128][0] =    0;      /*    North                 */
   Move[128][1] =    0;      /*    Northeast             */
   Move[128][2] =    0;      /*    East                  */
   Move[128][3] =  129;      /*    Southeast             */
   Move[128][4] =    0;      /*    South                 */
   Move[128][5] =  123;      /*    Southwest             */
   Move[128][6] =  121;      /*    West                  */
   Move[128][7] =  127;      /*    Northwest             */
   Move[128][8] =    0;      /*    Up                    */
   Move[128][9] =    0;      /*    Down                  */
   /*                     RvrBank3                       */
   Move[129][0] =    0;      /*    North                 */
   Move[129][1] =   96;      /*    Northeast             */
   Move[129][2] =    0;      /*    East                  */
   Move[129][3] =  130;      /*    Southeast             */
   Move[129][4] =    0;      /*    South                 */
   Move[129][5] =  126;      /*    Southwest             */
   Move[129][6] =  123;      /*    West                  */
   Move[129][7] =  128;      /*    Northwest             */
   Move[129][8] =    0;      /*    Up                    */
   Move[129][9] =    0;      /*    Down                  */
   /*                     SkyLinePark                    */
   Move[130][0] =  129;      /*    North                 */
   Move[130][1] =    0;      /*    Northeast             */
   Move[130][2] =    0;      /*    East                  */
   Move[130][3] =    0;      /*    Southeast             */
   Move[130][4] =  133;      /*    South                 */
   Move[130][5] =  131;      /*    Southwest             */
   Move[130][6] =  132;      /*    West                  */
   Move[130][7] =    0;      /*    Northwest             */
   Move[130][8] =    0;      /*    Up                    */
   Move[130][9] =    0;      /*    Down                  */
   /*                     SkyLineLake                    */
   Move[131][0] =  132;      /*    North                 */
   Move[131][1] =  130;      /*    Northeast             */
   Move[131][2] =  133;      /*    East                  */
   Move[131][3] =    0;      /*    Southeast             */
   Move[131][4] =    0;      /*    South                 */
   Move[131][5] =    0;      /*    Southwest             */
   Move[131][6] =    0;      /*    West                  */
   Move[131][7] =    0;      /*    Northwest             */
   Move[131][8] =    0;      /*    Up                    */
   Move[131][9] =    0;      /*    Down                  */
   /*                     TiltAWhirl                     */
   Move[132][0] =    0;      /*    North                 */
   Move[132][1] =    0;      /*    Northeast             */
   Move[132][2] =  130;      /*    East                  */
   Move[132][3] =  133;      /*    Southeast             */
   Move[132][4] =  131;      /*    South                 */
   Move[132][5] =    0;      /*    Southwest             */
   Move[132][6] =    0;      /*    West                  */
   Move[132][7] =    0;      /*    Northwest             */
   Move[132][8] =    0;      /*    Up                    */
   Move[132][9] =    0;      /*    Down                  */
   /*                     RollerCoaster                  */
   Move[133][0] =  130;      /*    North                 */
   Move[133][1] =    0;      /*    Northeast             */
   Move[133][2] =    0;      /*    East                  */
   Move[133][3] =    0;      /*    Southeast             */
   Move[133][4] =    0;      /*    South                 */
   Move[133][5] =    0;      /*    Southwest             */
   Move[133][6] =  131;      /*    West                  */
   Move[133][7] =  132;      /*    Northwest             */
   Move[133][8] =    0;      /*    Up                    */
   Move[133][9] =    0;      /*    Down                  */
   /*                     Below3017Shelter               */
   Move[134][0] =    0;      /*    North                 */
   Move[134][1] =    0;      /*    Northeast             */
   Move[134][2] =    0;      /*    East                  */
   Move[134][3] =    0;      /*    Southeast             */
   Move[134][4] =  135;      /*    South                 */
   Move[134][5] =    0;      /*    Southwest             */
   Move[134][6] =    0;      /*    West                  */
   Move[134][7] =    0;      /*    Northwest             */
   Move[134][8] =   38;      /*    Up                    */
   Move[134][9] =    0;      /*    Down                  */
   /*                     TunnelNorth                    */
   Move[135][0] =  134;      /*    North                 */
   Move[135][1] =    0;      /*    Northeast             */
   Move[135][2] =    0;      /*    East                  */
   Move[135][3] =    0;      /*    Southeast             */
   Move[135][4] =  138;      /*    South                 */
   Move[135][5] =    0;      /*    Southwest             */
   Move[135][6] =    0;      /*    West                  */
   Move[135][7] =    0;      /*    Northwest             */
   Move[135][8] =    0;      /*    Up                    */
   Move[135][9] =    0;      /*    Down                  */
   /*                     CaveDwelling                   */
   Move[136][0] =    0;      /*    North                 */
   Move[136][1] =    0;      /*    Northeast             */
   Move[136][2] =  137;      /*    East                  */
   Move[136][3] =    0;      /*    Southeast             */
   Move[136][4] =    0;      /*    South                 */
   Move[136][5] =    0;      /*    Southwest             */
   Move[136][6] =    0;      /*    West                  */
   Move[136][7] =    0;      /*    Northwest             */
   Move[136][8] =  109;      /*    Up                    */
   Move[136][9] =    0;      /*    Down                  */
   /*                     TunnelWest                     */
   Move[137][0] =    0;      /*    North                 */
   Move[137][1] =    0;      /*    Northeast             */
   Move[137][2] =  138;      /*    East                  */
   Move[137][3] =    0;      /*    Southeast             */
   Move[137][4] =    0;      /*    South                 */
   Move[137][5] =    0;      /*    Southwest             */
   Move[137][6] =  136;      /*    West                  */
   Move[137][7] =    0;      /*    Northwest             */
   Move[137][8] =    0;      /*    Up                    */
   Move[137][9] =    0;      /*    Down                  */
   /*                     TunnelJunction                 */
   Move[138][0] =  135;      /*    North                 */
   Move[138][1] =    0;      /*    Northeast             */
   Move[138][2] =  139;      /*    East                  */
   Move[138][3] =    0;      /*    Southeast             */
   Move[138][4] =  141;      /*    South                 */
   Move[138][5] =    0;      /*    Southwest             */
   Move[138][6] =  137;      /*    West                  */
   Move[138][7] =    0;      /*    Northwest             */
   Move[138][8] =    0;      /*    Up                    */
   Move[138][9] =    0;      /*    Down                  */
   /*                     TunnelEast                     */
   Move[139][0] =    0;      /*    North                 */
   Move[139][1] =    0;      /*    Northeast             */
   Move[139][2] =  140;      /*    East                  */
   Move[139][3] =    0;      /*    Southeast             */
   Move[139][4] =    0;      /*    South                 */
   Move[139][5] =    0;      /*    Southwest             */
   Move[139][6] =  138;      /*    West                  */
   Move[139][7] =    0;      /*    Northwest             */
   Move[139][8] =    0;      /*    Up                    */
   Move[139][9] =    0;      /*    Down                  */
   /*                     Below4735Garage                */
   Move[140][0] =    0;      /*    North                 */
   Move[140][1] =    0;      /*    Northeast             */
   Move[140][2] =    0;      /*    East                  */
   Move[140][3] =    0;      /*    Southeast             */
   Move[140][4] =    0;      /*    South                 */
   Move[140][5] =    0;      /*    Southwest             */
   Move[140][6] =  139;      /*    West                  */
   Move[140][7] =    0;      /*    Northwest             */
   Move[140][8] =   78;      /*    Up                    */
   Move[140][9] =    0;      /*    Down                  */
   /*                     TunnelSouth                    */
   Move[141][0] =  138;      /*    North                 */
   Move[141][1] =    0;      /*    Northeast             */
   Move[141][2] =    0;      /*    East                  */
   Move[141][3] =    0;      /*    Southeast             */
   Move[141][4] =  142;      /*    South                 */
   Move[141][5] =    0;      /*    Southwest             */
   Move[141][6] =    0;      /*    West                  */
   Move[141][7] =    0;      /*    Northwest             */
   Move[141][8] =    0;      /*    Up                    */
   Move[141][9] =    0;      /*    Down                  */
   /*                     BelowGrate                     */
   Move[142][0] =  141;      /*    North                 */
   Move[142][1] =    0;      /*    Northeast             */
   Move[142][2] =    0;      /*    East                  */
   Move[142][3] =    0;      /*    Southeast             */
   Move[142][4] =    0;      /*    South                 */
   Move[142][5] =    0;      /*    Southwest             */
   Move[142][6] =    0;      /*    West                  */
   Move[142][7] =    0;      /*    Northwest             */
   Move[142][8] =  121;      /*    Up                    */
   Move[142][9] =    0;      /*    Down                  */
}
