/* jinxIni1.c v.1.0b Altair BDS C    */
/* Initializer for Jinx              */
/* Written by Wayne Parham           */ 
/* 08/28/2022                        */


#include <stdio.h>
#include "jinx.h"


void initFormats() {
/* Format strings */
   s = "%s";
   sps = " %s";
   sCr = "%s\n";
   spsCr = "  %s\n";
   dot = ".";
   sdotCr = "%s.\n";
   dotCr = ".\n";
   Cr = "\n";
   inp = "\n> ";
   blank = "";
   quoted = "\"%s\"\n";
}


void initLocs() {
/* Location description strings */
   housefront = "in front of the house";
   porch = "on the porch";
   back = "behind the building";
   backyard = "in the back yard";
   entryhall = "in the entry hall";
   descentryhall = " inside the house";
   hall = "in the hall";
   garage = "in the garage";
   kitchen = "in the kitchen";
   diningroom = "in the dining room";
   livingroom = "in the living room";
   sittingroom = "in the sitting room";
   stairs = "near the stairs";
   bedroom = "in the bedroom";
   kidsroom = "in the kid's room";
   shelter = "in the storm shelter";
   school = "at an old school";
   office = "in the office";
   apartments = "at some apartments";
   largebuilding = "at a large building";
   neighborhood = "in a neighborhood";
   lamppost = "near a lamp post";
   openfield = "in an open field";
   grassyfield = "in a field of tall grass";
   rockyfield = "in a graveled area";
   openarea = "in an open area with few trees";
   coinshop = "at a coin shop";
   northhills = "in the north hills";
   southroads = "at Southroads Mall";
   elephantrun = "at Elephant Run";
   abandonedairport = "at an abandoned airport";
   hollidayhills = "at Holliday Hills";
   hospital = "at a hospital";
   techcenter = "in front of a building";
   westdock = "on the west dock";
   lab = "in the lab";
   computerroom= "in the computer room";
   farm = "on a farm";
   easthills = "in the east hills";
   golfcourse = "on a golf course";
   proshop = "at the pro shop";
   college = "at a college";
   reception = "at the reception desk";
   admissionsdept = "in the admissions department";
   accountingdept = "in the accounting department";
   campus = "on the campus";
   fontana = "at Fontana Shopping Mall";
   hillyland = "in some gentle hills";
   bridge = "on a bridge";
   forest = "in a forest";
   forestclearing = "in a forest clearing";
   arrowoil = "at Arrow Oil Tools";
   shop = "in the shop";
   walkway = "on the walkway";
   behindshop = "behind the shop";
   fizzypop = "at Fizzy Pop Bottling Company";
   mountain = "on the mountain";
   mountnarea = "on an area of the mountain";
   northslope = "on the north slope";
   southslope = "on the south slope";
   eastslope = "on the east slope";
   cliffoverlook = "on the cliff overlook";
   church = "in an old church";
   jinxshops = "at the Jinx shoppes";
   jinxcentre = "at Jinx Centre";
   southhills = "on the south hills";
   eastedgeofhills = "at the east edge of the hills";
   riverbank = "on the west bank of the river";
   skylinepark = "at Skyline Park";
   skylinelake = "at the Skyline Lake";
   tiltawhirl = "at the Tilt-a-Whirl ride";
   rollercoaster = "at the roller coaster";
   belowgrate = "below the grate";
   caveentrance = "at the cave entrance";
   cavedwelling = "in a cave dwelling";
   tunnel = "in a tunnel";
   tunnelentrance = "at the tunnel entrance";
   tunneljunction = "at the tunnel junction";
   muddyarea = "on a muddy area";
}


void initLocDets() {
/* Additional location details */
   desc5843 = ", standing just south of house number 5843";
   desclivrm5843 = " with shag carpet and 70s furnishings";
   desclvrm3017 = " with a bar close to the kitchen";
   descporch3017 = ", right by the front door to the north";
   descyard3017 = ". There's a shelter north of here";
   desclamppost = ". There's a notice posted here";
   descshelter = ".\nA ladder descends into darkness";
   descladder = ". There is a ladder attached to the wall here";
   descrocksteps = ". Looks like someone lives here.\nThere are rocks forming upward steps";
   desclrm4735 = " that has been cleaned out";
   descgarage4735 = ". There's a hatch on the floor";
   descforestclearing = ". There is a grate on the ground";
   desclvr3750 = " with a bar in the corner";
   descbdrm3750 = ". This room makes you feel uneasy";
   descchurch = ". It has a humble but reverent altar. There are\ninteresting symbols on the altar, walls and ceiling";
   descoutlook = ". You have an excellent view to the south and the east";
   descsuspbridge = " with a narrow rope and wooden bridge\nrunning east to west";
   deschillbridge = ". There's a narrow path running north and south";
   desc3017 = ", standing just south of house number 3017";
   desc4735 = ", standing just west of house number 4735";
   desc3750 = ", standing just north of house number 3750";
   desckiddypark = ". There's a kiddie park here";
   desccampus = " with ultra-modern architecture";
   desctallbldg = ". There's a tall building here";
   descbldgvis = ". Buildings can be seen to the south and the west";
   descboarded = " but everything is all boarded up";
   desctelex = ", a factory for the Telex Corporation";
   desctechcenter = ", a large tech center once used for commercial\nresearch";
   descnova4 = " with a Data General Nova 4C system";
   desceclipse = " with a Data General Eclipse C/350 system";
   descmv8000 = " with a Data General MV/8000 system";
   descarrowoil = " of Arrow Oil Tools. There's lots of tubular steel here";
   descshop = ". There are CNC lathes and metal shavings on the ground";
   descfarm = " with two large silos";
   descfizzy = ". You see a long assembly line with\nthousands of bottles";
   descforst = ". It is dense with tall trees everywhere";
   desctilt = ". There are picnic tables and other rides\nnearby";
   desccoaster = ". A section of track is missing on the main\ndownslope";
   desclargerock = ". There's a large rock with symbols on it";
   scattereddebris = " with some scattered debris on the ground";
   tallbuilding = "It is very tall.\n";
}


void initResponses() {
/* Command response and circumstance strings */
   all = "all";
   in = " in";
   getss = "get %s";
   dropss = "drop %s";
   youare = "You are %s";
   youarecarrying = "You are carrying:\n";
   nothing = "  nothing\n";
   yousee = "You see:\n";
   got = "Got %s.\n";
   seeno = "I see no %s here.\n";
   cannotmove = "You cannot move the %s.\n";
   usingkey = "Using key - ";
   ahh = "Ahh";
   mmm = "Mmm";
   nasty = "Nasty!";
   nothingpalatable = "Nothing palatable here.";
   opened = "Opened. ";
   unlocked = "Unlocked. ";
   needkey = "You need a key.\n";
   notlocked = "It's not locked.\n";
   nothingyoucancarry = "  nothing you can easily carry\n";
   notcarrying = "Not carrying %s.\n";
   youcango = "You can go:";
   youcannotgo = "You can't go %s from here.\n";
   nothingtoopen = "Nothing to open.\n";
   getnothing = "Nothing to get.\n";
   dropnothing = "Nothing to drop.\n";
   readnothing = "Nothing to read.\n";
   unlocknothing = "Nothing to unlock.\n";
   alreadyopen = "It's already open.\n";
   ordinaryitem = "It's an ordinary %s.\n";
   noComputer = "There's nothing here on which to type.\n";
   noweapon = "You have no weapon.\n";
   nopoint = "I see no point in that.\n";
   barred = "The building is securely barred.\n";
   toomuch = "You can't carry any more. Drop something.\n";
   dropped = "Dropped %s.\n";
   alreadyHave = "Already have it.\n";
   oneatatime = "One at a time, please.\n";
   lightmatch = "Match lit.\n";
   lightcandle = "Used match to light candle.\n";
   badParse = "Need clarity, please rephrase. Type 'help' if needed.\n\n";
   printdays = " %d days";
   printhours = " %d hours";
   printminutes = " %d minutes";
   openhatch = "Opening hatch - ";
   closedhatch = "The hatch can only be opened from above.";
   opengrate = "Opening grate - ";
   closedgrate = "The grate can only be opened from above.\n";
   doorlocked = "The door is locked.\n";
   matonground = "There is a mat on the ground.\n";
   matmoved = "Moving the mat reveals a key.\n";
   blahblah = "Blah, blah, blah.\n";
   nothinghappens = "Nothing happens.\n";
   nothingfound = "I don't see it.\n";
   frontpanelflickers = "The front-panel lights flicker";
   diskshakes = " and the disk drive shakes.\n";
   tapemoves = " and the tape drive jerks into motion.\n";
   screensaysnothinghappens = "The screen says, \"Nothing happens.\"\n";
   twiceasmuchhappens = "The screen says, \"Twice as much happens.\"\n";
   groundshakes = "The ground shakes";
   rainbegins = " and it begins to rain";
   floodrain = "You're caught in a torrential downpour with high winds.\n";
   muffledstorm = "You hear the muffled sound of thunder and powerful rain.\n";
   sofaryouplayed = "\nSo far, you've played %d turns";
   gameover = "\nGame over after %d turns.";
   elapsedtimewas = " Elapsed time was";
   printpointsearned = "\nYou've earned %d points out of %d possible.\n\n";
   sureyouwanttoquit = "Are you sure you want to quit (y/n)? ";
   building = "building";
   xyzzy = "xyzzy";
   wraith = "wraith";
   wispofsmoke = "\nA wisp of smoke drifts by.";
   strangeshadow = "\nYou catch a strange shadow from the corner of your eye.";
   wraithattacks = "\nA wraith flies up to you and shows its bony face.";
   wraithkillsyou = "\nA wraith flies right through your heart, killing you.";
   deadbeef = "\nThe wraith screeches and dissipates into a thin mist.";
   diedinflood = "The house you're inside is destroyed by the storm, taking you with it.\n";
   voiceofGod = "\nYou feel as though you hear a voice.\n\nIt says, \"I will protect you in all things.\"\n\n";
}


void initItmDesc() {
/* Item description strings */
   key = "key";
   mat = "mat";
   ring = "ring";
   coin = "coin";
   book = "book";
   parchment = "parchment";
   bell = "bell";
   candle = "candle";
   photo = "photo";
   shoes = "shoes";
   match = "match";
   matches = "matches";
   sword = "sword";
   top = "top";
   generator = "generator";
   gas = "gas";
   gasoline = "gasoline";
   notice = "notice";
   newspaper = "newspaper";
   magazine = "magazine";
   brochure = "brochure";
   bottle = "bottle";
   water = "water";
   bread = "bread";
   meat = "meat";
   rock = "rock";
   statue = "statue";
   matchesRn = "box of matches";
   breadRn = "loaf of bread";
   meatRn = "piece of salted meat";
   bottleRn = "bottle of water";
   gneratorRn = "electric generator";
   gasolinRn = "can of gasoline";
   topRn = "toy top, labeled \"BeyBlade\" Takara brand";
}


void initDirections() {
   initptr( Direction, "north", "northeast", "east", "southeast", "south", "southwest", "west", "northwest", "up", "down", NULL );
}
