/* jinxIni2.c v.1.0b Altair BDS C    */
/* Initializer for Jinx              */
/* Written by Wayne Parham           */ 
/* 08/28/2022                        */


#include <stdio.h>
#include "jinx.h"


/* Messages */
void initMessages() {
   introText = "You just  heard a strange sound and rushed outside to find someone running away.\nOr  at least you think you saw";
   strcat( introText, " the shadow of someone.  It's hard to say  because\nthe street is dark.  All the houses are boarded up and no" );
   strcat( introText, " lights are on except a\nstreet lamp to the south that's dimly flickering.\n\n" );

   helpString = "\n\n\n\nYou  are  in a city that has been crippled by a recent event that  darkened";
   strcat( helpString, "  the\nsky, assumed to be the result of a meteor strike.  But just like in" );
   strcat( helpString, " Tunguska, no\nspecific  impact has been identified.  Most everyone in the city has" );
   strcat( helpString, "  evacuated,\ntaking their most valuable possessions.  You have stayed behind.\n\nYour" );
   strcat( helpString, " task is to survive, and in order to do that, you gather resources where you\nfind them." );
   strcat( helpString, "  There are a few natural (and possibly supernatural) hazards that may\nimpede  you.  Your" );
   strcat( helpString, " goal is to find as many resources as you can,  and  to  store\nthem in your house or any" );
   strcat( helpString, " other safe house that you have access.\n\nYou  may move in any of the following directions" );
   strcat( helpString, " with the \"go\"  command:  north,\nnortheast,  east, southeast, south, southwest, west," );
   strcat( helpString, " northwest, up or down.  You\ncan  also  abbreviate  the movement command and  omit the  word" );
   strcat( helpString, "  \"go\"  which  is\nimplied, e.g. \"nw\" to go northwest.\n\nYou  can perform tasks such as" );
   strcat( helpString, " get, put, move, open, type, say,  read,  examine,\ninventory,  score  and quit.  There are" );
   strcat( helpString, " other commands you can use too,  so  try\nthings to see what works.  If a command can't be" );
   strcat( helpString, " done, you'll be told.\n" );

   prayer = "You can't understand the words, but you sound them out:\n\n\"Tam amavantam yajatam shuram dhamasu shavistam mitram yajai hotrabhyah\"\n";
/* The prayer says, in Sanscrit (or Avestan, Yasna 10:6), "The powerful God, the most powerful Mithra in the world of the creatures, I will adore him with libations." */
}


/* Items */
void initItems() {
   bookDesc = "It is a very old book in the form of a codex but written in an unfamiliar\nlanguage.  From the layout,";
   strcat( bookDesc, " it looks like a book of salutations and psalms.\nYou can pronounce the words, but you do not know" );
   strcat( bookDesc, " what they mean.\n" );

   parchmntDesc = "The parchment has the following note:\n\nYou must have faith in God.  Demonstrate your faith in God";
   strcat( parchmntDesc, " this way.\nAt the altar, do these things in this exact order:\n\n1. Light the candle.\n2." );
   strcat( parchmntDesc, " Ring the bell.\n3. Read the book.\n4. Pray.\n\n" );

   photoDesc = "The photograph is of a very beautiful girl.\n";

   ringDesc = "The ring has a symbol on it that looks like an \"x\" or a \"*\" but with four lines\ncrossed instead of two or three.\n";

   rockDesc = "The rock is interesting in that it has petroglyphs carved into it.  There are\nimages and what appear to be";
   strcat( rockDesc, " letters that look like this:\n\n       G W N\n\n   ooooo^.? ~~~~~\n\n     y   b   y\n\n" );

   statueDesc = "The \"statue\" is a cobbled-together structure made from a ladder with all kinds\nof miscellaneous items";
   strcat( statueDesc, " hanging on it.  It appears that someone was trying to\nrepresent something mysterious using ordinary objects.\n" );

   swordDesc = "It's a silver sword with mystical symbols on it.\n";

   shoesDesc = "They're pink ballet shoes.\n";

   noticeText = "                             Beware of Wraiths!\n\nWraiths  are  deadly spectres, with skeletal faces";
   strcat( noticeText, " and  shadowy,  smoky  bodies.\nThey  often look like a cloud of smoke but they can run you through even" );
   strcat( noticeText, "  before\nyou can react.  Be sure to carry some silver, which will kill a wraith when it's\nimpaled.\n\n" );

   magazinArticle = "                             A Blast from the Past!\n\nThe  Skyline Amusement Park had many attractions";
   strcat( magazinArticle, " and was popular with  families,\nhaving fun activities for both children and adults alike." );
   strcat( magazinArticle, "   It had picnic tables\nand a concession stand for snack purchases.  There was a large spring-fed" );
   strcat( magazinArticle, "  clear\nlake  with  a nice sandy beach for swimming or sunbathing.  It  even  had  pedal\npowered" );
   strcat( magazinArticle, " paddle boats and canoes.\n\nOther rides included a Tilt-A-Whirl, Stage Coach,  an electric boat ride" );
   strcat( magazinArticle, " and  an\nauthentic steam-powered train on a track that circled the lake.  It had a wooden\nroller-coaster," );
   strcat( magazinArticle, "  advertised  as the \"The Longest Wooden Roller  Coaster  in  the\nWorld.\"\n\nSadly, the roller coaster" );
   strcat( magazinArticle, " collapsed during a ride, killing its passengers.   The\npark was closed soon after that.\n" );

   newspaprArticle = "Residents first became aware of the scenic treasure in 1907, when the World News\nreported  that  a";
   strcat( newspaprArticle, "  blasting crew working for the  Midland  Valley  Railroad  had\ndiscovered  a  cave  about  100" );
   strcat( newspaprArticle, " feet above the river on the  east  side  of  the\nmountain.\n" );

   realEstateBrochure = "\n            Welcome to the New Haven neighborhood by Holliday Hills!\n\nPlots  are  now being sold";
   strcat( realEstateBrochure, " for this excellent community,  conveniently  situated\nnear busineses and shopping centers." );
   strcat( realEstateBrochure, "   But land is selling fast so speak to your\nrealtor today!\n\nYou may wonder why Urbana Avenue" );
   strcat( realEstateBrochure, " is the widest street in the neighborhood.  It's\nbecause  before Urbana was a street it was the" );
   strcat( realEstateBrochure, " main runway at the now  abandoned\nCommercial Airport.\n" );

/* Initialize item array */
   Item[0]   = blank;
   Item[1]   = key;
   Item[2]   = mat;
   Item[3]   = ring;
   Item[4]   = coin;
   Item[5]   = book;
   Item[6]   = parchment;
   Item[7]   = bell;
   Item[8]   = candle;
   Item[9]   = photo;
   Item[10]  = shoes;
   Item[11]  = matches;
   Item[12]  = sword;
   Item[13]  = top;
   Item[14]  = generator;
   Item[15]  = gasoline;
   Item[16]  = notice;
   Item[17]  = newspaper;
   Item[18]  = magazine;
   Item[19]  = brochure;
   Item[20]  = bottle;
   Item[21]  = bread;
   Item[22]  = meat;
   Item[23]  = rock;
   Item[24]  = statue;
   Item[LastItem+1] = NULL;

/* Additional details */
   Detail[0]  = blank;
   Detail[1]  = blank;
   Detail[2]  = blank;
   Detail[3]  = ringDesc;                                  /* Ring */
   Detail[4]  = blank;
   Detail[5]  = bookDesc;                                  /* Book */
   Detail[6]  = parchmntDesc;                              /* Parchment */
   Detail[7]  = blank;
   Detail[8]  = blank;
   Detail[9]  = photoDesc;                                 /* Photo */
   Detail[10] = shoesDesc;                                 /* Shoes */
   Detail[11] = blank;
   Detail[12] = swordDesc;                                 /* Sword */
   Detail[13] = blank;
   Detail[14] = blank;
   Detail[15] = blank;
   Detail[16] = noticeText;                                /* Notice */
   Detail[17] = newspaprArticle;                           /* Newspaper */
   Detail[18] = magazinArticle;                            /* Magazine */
   Detail[19] = realEstateBrochure;                        /* Brochure */
   Detail[20] = blank;
   Detail[21] = blank;
   Detail[22] = blank;
   Detail[23] = rockDesc;                                  /* Rock */
   Detail[24] = statueDesc;                                /* Statue */
   Detail[LastItem+1] = NULL;

/* Size of items */
   size[1]   = 0;                                          /* Key */
   size[2]   = 2;                                          /* Mat */
   size[3]   = 1;                                          /* Ring */
   size[4]   = 1;                                          /* Coin */
   size[5]   = 1;                                          /* Book */
   size[6]   = 0;                                          /* Parchment */
   size[7]   = 5;                                          /* Bell */
   size[8]   = 2;                                          /* Candle */
   size[9]   = 1;                                          /* Photo */
   size[10]  = 2;                                          /* Shoes */
   size[11]  = 0;                                          /* Matches */
   size[12]  = 10;                                         /* Sword */
   size[13]  = 1;                                          /* Top */
   size[14]  = 25;                                         /* Generator */
   size[15]  = 10;                                         /* Gasoline */
   size[16]  = 0;                                          /* Notice */
   size[17]  = 0;                                          /* Newspaper */
   size[18]  = 0;                                          /* Magazine */
   size[19]  = 0;                                          /* Brochure */
   size[20]  = 1;                                          /* Bottle */
   size[21]  = 1;                                          /* Bread */
   size[22]  = 1;                                          /* Meat */
   size[23]  = 255;                                        /* Rock */
   size[24]  = 255;                                        /* Statue */

/* Value of items */
   value[1]   = 3;                                         /* Key */
   value[2]   = 0;                                         /* Mat */
   value[3]   = 15;                                        /* Ring */
   value[4]   = 5;                                         /* Coin */
   value[5]   = 10;                                        /* Book */
   value[6]   = 2;                                         /* Parchment */
   value[7]   = 10;                                        /* Bell */
   value[8]   = 10;                                        /* Candle */
   value[9]   = 3;                                         /* Photo */
   value[10]  = 2;                                         /* Shoes */
   value[11]  = 2;                                         /* Matches */
   value[12]  = 15;                                        /* Sword */
   value[13]  = 1;                                         /* Top */
   value[14]  = 25;                                        /* Generator */
   value[15]  = 10;                                        /* Gasoline */
   value[16]  = 0;                                         /* Notice */
   value[17]  = 0;                                         /* Newspaper */
   value[18]  = 0;                                         /* Magazine */
   value[19]  = 0;                                         /* Brochure */
   value[20]  = 6;                                         /* Bottle */
   value[21]  = 3;                                         /* Bread */
   value[22]  = 3;                                         /* Meat */
   value[23]  = 0;                                         /* Rock */
   value[24]  = 0;                                         /* Statue */

/* Location of items */
   locationOfItem[1]  = Nowhere;                           /* Key */
   locationOfItem[2]  = H3017Porch;                        /* Mat */
   locationOfItem[3]  = Forest2;                           /* Ring */
   locationOfItem[4]  = CoinShop;                          /* Coin */
   locationOfItem[5]  = Church;                            /* Book */
   locationOfItem[6]  = Nowhere;                           /* Parchment */
   locationOfItem[7]  = Nowhere;                           /* Bell */
   locationOfItem[8]  = H3750Bedroom;                      /* Candle */
   locationOfItem[9]  = H3017SittingRoom;                  /* Photo */
   locationOfItem[10] = H3017Bedroom;                      /* Shoes */
   locationOfItem[11] = Nowhere;                           /* Matches */
   locationOfItem[12] = Nowhere;                           /* Sword */
   locationOfItem[13] = H3750ChildsRoom;                   /* Top */
   locationOfItem[14] = FizzyPop;                          /* Generator */
   locationOfItem[15] = Nowhere;                           /* Gasoline */
   locationOfItem[16] = LampPost;                          /* Notice */
   locationOfItem[17] = Nowhere;                           /* Newspaper */
   locationOfItem[18] = Nowhere;                           /* Magazine */
   locationOfItem[19] = Nowhere;                           /* Brochure */
   locationOfItem[20] = ElphRunKitchen;                    /* Bottle */
   locationOfItem[21] = ElphRunKitchen;                    /* Bread */
   locationOfItem[22] = ElphRunKitchen;                    /* Meat */
   locationOfItem[23] = Mountn2;                           /* Rock */
   locationOfItem[24] = JinxCentre;                        /* Statue */
}
